Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 156272 - Exceptions when creating Web Project
Exceptions when creating Web Project
Status: CLOSED DUPLICATE of bug 154756
Product: debugger
Classification: Unclassified
Component: Code
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Martin Entlicher
issues@debugger
:
: 156503 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-05 08:48 UTC by Jaroslav Pospisil
Modified: 2010-04-29 09:46 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Pospisil 2009-01-05 08:48:57 UTC
Build 200901050201 (Full), Win Vista, JDK 1.6.0

Start IDE with new userdir and create new Web Application on Glassfish v2. Debugger originating exceptions will appear
during the process.

WARNING [org.netbeans.core.startup.layers.BinaryFS]
value = org.netbeans.modules.debugger.ui.actions.DebuggerAction.createStepOutAction from
Actions/Debug/org-netbeans-modules-debugger-ui-actions-StepOutAction.instance
value = org.netbeans.modules.debugger.ui.actions.DebuggerAction.createStepOutAction from
Actions/Debug/org-netbeans-modules-debugger-ui-actions-StepOutAction.instance
Caused: java.util.ConcurrentModificationException
        at org.netbeans.api.debugger.LazyArrayList$Itr.next(LazyArrayList.java:213)
        at org.netbeans.api.debugger.ActionsManager.initActionImpls(ActionsManager.java:431)
        at org.netbeans.api.debugger.ActionsManager.isEnabled(ActionsManager.java:264)
        at org.netbeans.modules.debugger.ui.actions.DebuggerAction.isEnabled(DebuggerAction.java:123)
        at org.netbeans.modules.debugger.ui.actions.DebuggerAction.<init>(DebuggerAction.java:78)
        at org.netbeans.modules.debugger.ui.actions.DebuggerAction.createStepOutAction(DebuggerAction.java:242)
Caused: java.lang.reflect.InvocationTargetException
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at org.netbeans.core.startup.layers.BinaryFS$AttrImpl$MethodAndParams.invoke(BinaryFS.java:558)
[catch] at org.netbeans.core.startup.layers.BinaryFS$AttrImpl.getValue(BinaryFS.java:490)
        at org.netbeans.core.startup.layers.BinaryFS$BFSBase.getAttribute(BinaryFS.java:375)
        at org.openide.filesystems.MultiFileObject.getAttribute(MultiFileObject.java:829)
        at org.openide.filesystems.MultiFileObject.getAttribute(MultiFileObject.java:789)
        at org.openide.filesystems.MultiFileObject.getAttribute(MultiFileObject.java:825)
        at org.openide.filesystems.MultiFileObject.getAttribute(MultiFileObject.java:789)
        at org.openide.filesystems.MultiFileObject.getAttribute(MultiFileObject.java:722)
        at org.openide.loaders.InstanceDataObject$Ser.instanceCreate(InstanceDataObject.java:1256)
        at org.openide.loaders.InstanceDataObject.instanceCreate(InstanceDataObject.java:749)
        at org.netbeans.core.ShortcutsFolder.readShortcuts(ShortcutsFolder.java:165)
        at org.netbeans.core.ShortcutsFolder.refresh(ShortcutsFolder.java:129)
        at org.netbeans.core.ShortcutsFolder.access$200(ShortcutsFolder.java:73)
        at org.netbeans.core.ShortcutsFolder$Listener.run(ShortcutsFolder.java:212)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:573)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1005)
ALL [null]: value = org.netbeans.modules.debugger.ui.actions.DebuggerAction.createStepOutAction from
Actions/Debug/org-netbeans-modules-debugger-ui-actions-StepOutAction.instance
WARNING [org.netbeans.core.startup.layers.BinaryFS]
value = org.netbeans.modules.debugger.ui.actions.DebuggerAction.createRunToCursorAction from
Actions/Debug/org-netbeans-modules-debugger-ui-actions-RunToCursorAction.instance
value = org.netbeans.modules.debugger.ui.actions.DebuggerAction.createRunToCursorAction from
Actions/Debug/org-netbeans-modules-debugger-ui-actions-RunToCursorAction.instance
Caused: java.util.ConcurrentModificationException
        at org.netbeans.api.debugger.LazyArrayList$Itr.next(LazyArrayList.java:213)
        at org.netbeans.api.debugger.ActionsManager.initActionImpls(ActionsManager.java:431)
        at org.netbeans.api.debugger.ActionsManager.isEnabled(ActionsManager.java:264)
        at org.netbeans.modules.debugger.ui.actions.DebuggerAction.isEnabled(DebuggerAction.java:123)
        at org.netbeans.modules.debugger.ui.actions.DebuggerAction.<init>(DebuggerAction.java:78)
        at org.netbeans.modules.debugger.ui.actions.DebuggerAction.createRunToCursorAction(DebuggerAction.java:216)
Caused: java.lang.reflect.InvocationTargetException
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at org.netbeans.core.startup.layers.BinaryFS$AttrImpl$MethodAndParams.invoke(BinaryFS.java:558)
[catch] at org.netbeans.core.startup.layers.BinaryFS$AttrImpl.getValue(BinaryFS.java:490)
        at org.netbeans.core.startup.layers.BinaryFS$BFSBase.getAttribute(BinaryFS.java:375)
        at org.openide.filesystems.MultiFileObject.getAttribute(MultiFileObject.java:829)
        at org.openide.filesystems.MultiFileObject.getAttribute(MultiFileObject.java:789)
        at org.openide.filesystems.MultiFileObject.getAttribute(MultiFileObject.java:825)
        at org.openide.filesystems.MultiFileObject.getAttribute(MultiFileObject.java:789)
        at org.openide.filesystems.MultiFileObject.getAttribute(MultiFileObject.java:722)
        at org.openide.loaders.InstanceDataObject$Ser.instanceCreate(InstanceDataObject.java:1256)
        at org.openide.loaders.InstanceDataObject.instanceCreate(InstanceDataObject.java:749)
        at org.netbeans.core.ShortcutsFolder.readShortcuts(ShortcutsFolder.java:165)
        at org.netbeans.core.ShortcutsFolder.refresh(ShortcutsFolder.java:129)
        at org.netbeans.core.ShortcutsFolder.access$200(ShortcutsFolder.java:73)
        at org.netbeans.core.ShortcutsFolder$Listener.run(ShortcutsFolder.java:212)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:573)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1005)
ALL [null]: value = org.netbeans.modules.debugger.ui.actions.DebuggerAction.createRunToCursorAction from
Actions/Debug/org-netbeans-modules-debugger-ui-actions-RunToCursorAction.instance
WARNING [org.netbeans.core.startup.layers.BinaryFS]
value = org.netbeans.modules.debugger.ui.actions.DebuggerAction.createStepIntoAction from
Actions/Debug/org-netbeans-modules-debugger-ui-actions-StepIntoAction.instance
value = org.netbeans.modules.debugger.ui.actions.DebuggerAction.createStepIntoAction from
Actions/Debug/org-netbeans-modules-debugger-ui-actions-StepIntoAction.instance
Caused: java.util.ConcurrentModificationException
        at org.netbeans.api.debugger.LazyArrayList$Itr.next(LazyArrayList.java:213)
        at org.netbeans.api.debugger.ActionsManager.initActionImpls(ActionsManager.java:431)
        at org.netbeans.api.debugger.ActionsManager.isEnabled(ActionsManager.java:264)
        at org.netbeans.modules.debugger.ui.actions.DebuggerAction.isEnabled(DebuggerAction.java:123)
        at org.netbeans.modules.debugger.ui.actions.DebuggerAction.<init>(DebuggerAction.java:78)
        at org.netbeans.modules.debugger.ui.actions.DebuggerAction.createStepIntoAction(DebuggerAction.java:226)
Caused: java.lang.reflect.InvocationTargetException
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at org.netbeans.core.startup.layers.BinaryFS$AttrImpl$MethodAndParams.invoke(BinaryFS.java:558)
[catch] at org.netbeans.core.startup.layers.BinaryFS$AttrImpl.getValue(BinaryFS.java:490)
        at org.netbeans.core.startup.layers.BinaryFS$BFSBase.getAttribute(BinaryFS.java:375)
        at org.openide.filesystems.MultiFileObject.getAttribute(MultiFileObject.java:829)
        at org.openide.filesystems.MultiFileObject.getAttribute(MultiFileObject.java:789)
        at org.openide.filesystems.MultiFileObject.getAttribute(MultiFileObject.java:825)
        at org.openide.filesystems.MultiFileObject.getAttribute(MultiFileObject.java:789)
        at org.openide.filesystems.MultiFileObject.getAttribute(MultiFileObject.java:722)
        at org.openide.loaders.InstanceDataObject$Ser.instanceCreate(InstanceDataObject.java:1256)
        at org.openide.loaders.InstanceDataObject.instanceCreate(InstanceDataObject.java:749)
        at org.netbeans.core.ShortcutsFolder.readShortcuts(ShortcutsFolder.java:165)
        at org.netbeans.core.ShortcutsFolder.refresh(ShortcutsFolder.java:129)
        at org.netbeans.core.ShortcutsFolder.access$200(ShortcutsFolder.java:73)
        at org.netbeans.core.ShortcutsFolder$Listener.run(ShortcutsFolder.java:212)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:573)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1005)
ALL [null]: value = org.netbeans.modules.debugger.ui.actions.DebuggerAction.createStepIntoAction from
Actions/Debug/org-netbeans-modules-debugger-ui-actions-StepIntoAction.instance
INFO [org.openide.filesystems]
msg
Caused: java.lang.InterruptedException
        at org.openide.filesystems.StreamPool.waitForOutputStreamsClosed(StreamPool.java:245)
[catch] at org.openide.filesystems.StreamPool.createInputStream(StreamPool.java:88)
        at org.openide.filesystems.AbstractFileObject.getInputStream(AbstractFileObject.java:211)
        at org.openide.filesystems.MIMESupport$CachedFileObject.getInputStream(MIMESupport.java:360)
        at org.netbeans.modules.openide.filesystems.declmime.MIMEResolverImpl$Type.accept(MIMEResolverImpl.java:1064)
        at org.netbeans.modules.openide.filesystems.declmime.MIMEResolverImpl$Type.access$2800(MIMEResolverImpl.java:726)
        at org.netbeans.modules.openide.filesystems.declmime.MIMEResolverImpl$FileElement.resolve(MIMEResolverImpl.java:686)
        at
org.netbeans.modules.openide.filesystems.declmime.MIMEResolverImpl$FileElement.access$700(MIMEResolverImpl.java:657)
        at org.netbeans.modules.openide.filesystems.declmime.MIMEResolverImpl$Impl.findMIMEType(MIMEResolverImpl.java:316)
        at org.openide.filesystems.MIMESupport$CachedFileObject.resolveMIME(MIMESupport.java:331)
        at org.openide.filesystems.MIMESupport$CachedFileObject.getMIMEType(MIMESupport.java:283)
        at org.openide.filesystems.MIMESupport.findMIMEType(MIMESupport.java:120)
        at org.openide.filesystems.FileUtil.getMIMEType(FileUtil.java:1088)
        at org.openide.filesystems.FileObject.getMIMEType(FileObject.java:489)
        at org.openide.filesystems.AbstractFileObject.getMIMEType(AbstractFileObject.java:191)
        at org.openide.filesystems.MultiFileObject.getMIMEType(MultiFileObject.java:580)
        at org.openide.filesystems.MultiFileObject.getMIMEType(MultiFileObject.java:580)
        at org.netbeans.modules.editor.settings.storage.SettingsType$DefaultLocator.addFiles(SettingsType.java:398)
        at org.netbeans.modules.editor.settings.storage.SettingsType$DefaultLocator.addModulesFiles(SettingsType.java:335)
        at org.netbeans.modules.editor.settings.storage.SettingsType$DefaultLocator.scan(SettingsType.java:239)
        at org.netbeans.modules.editor.settings.storage.ProfilesTracker.rebuild(ProfilesTracker.java:235)
        at org.netbeans.modules.editor.settings.storage.ProfilesTracker.access$000(ProfilesTracker.java:71)
        at org.netbeans.modules.editor.settings.storage.ProfilesTracker$1.run(ProfilesTracker.java:216)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:573)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1005)
ALL [null]:
Editors/text/x-hql/FontsColors/NetBeans/Defaults/org-netbeans-modules-editor-settings-CustomFontsColors-tokenColorings.xml
INFO [org.netbeans.modules.openide.filesystems.declmime.MIMEResolverImpl]
org.openide.filesystems.FileAlreadyLockedException:
Editors/text/x-hql/FontsColors/NetBeans/Defaults/org-netbeans-modules-editor-settings-CustomFontsColors-tokenColorings.xml
        at org.openide.filesystems.StreamPool$1.read(StreamPool.java:104)
        at java.io.InputStream.read(InputStream.java:154)
        at java.io.BufferedInputStream.fill(BufferedInputStream.java:218)
        at java.io.BufferedInputStream.read1(BufferedInputStream.java:258)
        at java.io.BufferedInputStream.read(BufferedInputStream.java:317)
        at org.openide.filesystems.MIMESupport$CachedInputStream.ensureBufferLength(MIMESupport.java:668)
        at org.openide.filesystems.MIMESupport$CachedInputStream.read(MIMESupport.java:681)
        at java.io.InputStream.read(InputStream.java:85)
        at org.netbeans.modules.openide.filesystems.declmime.MIMEResolverImpl$Type.accept(MIMEResolverImpl.java:1065)
        at org.netbeans.modules.openide.filesystems.declmime.MIMEResolverImpl$Type.access$2800(MIMEResolverImpl.java:726)
[catch] at org.netbeans.modules.openide.filesystems.declmime.MIMEResolverImpl$FileElement.resolve(MIMEResolverImpl.java:686)
        at
org.netbeans.modules.openide.filesystems.declmime.MIMEResolverImpl$FileElement.access$700(MIMEResolverImpl.java:657)
        at org.netbeans.modules.openide.filesystems.declmime.MIMEResolverImpl$Impl.findMIMEType(MIMEResolverImpl.java:316)
        at org.openide.filesystems.MIMESupport$CachedFileObject.resolveMIME(MIMESupport.java:331)
        at org.openide.filesystems.MIMESupport$CachedFileObject.getMIMEType(MIMESupport.java:283)
        at org.openide.filesystems.MIMESupport.findMIMEType(MIMESupport.java:120)
        at org.openide.filesystems.FileUtil.getMIMEType(FileUtil.java:1088)
        at org.openide.filesystems.FileObject.getMIMEType(FileObject.java:489)
        at org.openide.filesystems.AbstractFileObject.getMIMEType(AbstractFileObject.java:191)
        at org.openide.filesystems.MultiFileObject.getMIMEType(MultiFileObject.java:580)
        at org.openide.filesystems.MultiFileObject.getMIMEType(MultiFileObject.java:580)
        at org.netbeans.modules.editor.settings.storage.SettingsType$DefaultLocator.addFiles(SettingsType.java:398)
        at org.netbeans.modules.editor.settings.storage.SettingsType$DefaultLocator.addModulesFiles(SettingsType.java:335)
        at org.netbeans.modules.editor.settings.storage.SettingsType$DefaultLocator.scan(SettingsType.java:239)
        at org.netbeans.modules.editor.settings.storage.ProfilesTracker.rebuild(ProfilesTracker.java:235)
        at org.netbeans.modules.editor.settings.storage.ProfilesTracker.access$000(ProfilesTracker.java:71)
        at org.netbeans.modules.editor.settings.storage.ProfilesTracker$1.run(ProfilesTracker.java:216)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:573)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1005)
INFO [org.netbeans.modules.openide.filesystems.declmime.MIMEResolverImpl]
org.openide.filesystems.FileAlreadyLockedException:
Editors/text/x-hql/FontsColors/NetBeans/Defaults/org-netbeans-modules-editor-settings-CustomFontsColors-tokenColorings.xml
        at org.openide.filesystems.StreamPool$1.read(StreamPool.java:104)
        at java.io.InputStream.read(InputStream.java:154)
        at java.io.BufferedInputStream.fill(BufferedInputStream.java:218)
        at java.io.BufferedInputStream.read1(BufferedInputStream.java:258)
        at java.io.BufferedInputStream.read(BufferedInputStream.java:317)
        at org.openide.filesystems.MIMESupport$CachedInputStream.ensureBufferLength(MIMESupport.java:668)
        at org.openide.filesystems.MIMESupport$CachedInputStream.read(MIMESupport.java:681)
        at java.io.InputStream.read(InputStream.java:85)
        at org.netbeans.modules.openide.filesystems.declmime.MIMEResolverImpl$Type.accept(MIMEResolverImpl.java:1065)
        at org.netbeans.modules.openide.filesystems.declmime.MIMEResolverImpl$Type.access$2800(MIMEResolverImpl.java:726)
[catch] at org.netbeans.modules.openide.filesystems.declmime.MIMEResolverImpl$FileElement.resolve(MIMEResolverImpl.java:686)
        at
org.netbeans.modules.openide.filesystems.declmime.MIMEResolverImpl$FileElement.access$700(MIMEResolverImpl.java:657)
        at org.netbeans.modules.openide.filesystems.declmime.MIMEResolverImpl$Impl.findMIMEType(MIMEResolverImpl.java:316)
        at org.openide.filesystems.MIMESupport$CachedFileObject.resolveMIME(MIMESupport.java:331)
        at org.openide.filesystems.MIMESupport$CachedFileObject.getMIMEType(MIMESupport.java:283)
        at org.openide.filesystems.MIMESupport.findMIMEType(MIMESupport.java:120)
        at org.openide.filesystems.FileUtil.getMIMEType(FileUtil.java:1088)
        at org.openide.filesystems.FileObject.getMIMEType(FileObject.java:489)
        at org.openide.filesystems.AbstractFileObject.getMIMEType(AbstractFileObject.java:191)
        at org.openide.filesystems.MultiFileObject.getMIMEType(MultiFileObject.java:580)
        at org.openide.filesystems.MultiFileObject.getMIMEType(MultiFileObject.java:580)
        at org.netbeans.modules.editor.settings.storage.SettingsType$DefaultLocator.addFiles(SettingsType.java:398)
        at org.netbeans.modules.editor.settings.storage.SettingsType$DefaultLocator.addModulesFiles(SettingsType.java:335)
        at org.netbeans.modules.editor.settings.storage.SettingsType$DefaultLocator.scan(SettingsType.java:239)
        at org.netbeans.modules.editor.settings.storage.ProfilesTracker.rebuild(ProfilesTracker.java:235)
        at org.netbeans.modules.editor.settings.storage.ProfilesTracker.access$000(ProfilesTracker.java:71)
        at org.netbeans.modules.editor.settings.storage.ProfilesTracker$1.run(ProfilesTracker.java:216)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:573)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1005)
WARNING [org.openide.util.WeakListenerImpl]: Can't remove org.netbeans.api.debugger.DebuggerManagerListener using method
removeDebuggerManagerListener from org.netbeans.api.debugger.DebuggerManager@1fa8e61
WARNING [global]: Error in source for css properties model for property: z-index
SEVERE [org.openide.util.RequestProcessor]
java.lang.NullPointerException
        at java.util.Arrays$ArrayList.<init>(Arrays.java:3357)
        at java.util.Arrays.asList(Arrays.java:3343)
        at org.netbeans.api.debugger.DebuggerManager.initBreakpoints(DebuggerManager.java:904)
        at org.netbeans.api.debugger.DebuggerManager.initBreakpoints(DebuggerManager.java:863)
        at org.netbeans.api.debugger.DebuggerManager.getBreakpoints(DebuggerManager.java:583)
        at
org.netbeans.modules.debugger.jpda.projects.BreakpointAnnotationProvider.annotate(BreakpointAnnotationProvider.java:140)
        at
org.netbeans.modules.debugger.jpda.projects.BreakpointAnnotationProvider.annotate(BreakpointAnnotationProvider.java:121)
        at org.openide.text.CloneableEditorSupport.ensureAnnotationsLoaded(CloneableEditorSupport.java:377)
        at org.openide.text.CloneableEditor$DoInitialize$1.run(CloneableEditor.java:529)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:573)
[catch] at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1005)
classLoader = org.netbeans.modules.web.jspparser_ext.WebAppParseSupport$ParserClassLoader@1a56df4, parent :
org.netbeans.modules.web.jspparser.JspParserImpl$ExtClassLoader@1126d67
SharedSecrets.getJavaNetAccess()=java.net.URLClassLoader$7@1d5dd2d
classLoader = org.netbeans.modules.web.jspparser_ext.WebAppParseSupport$ParserClassLoader@155e628, parent :
org.netbeans.modules.web.jspparser.JspParserImpl$ExtClassLoader@1126d67
SharedSecrets.getJavaNetAccess()=java.net.URLClassLoader$7@1d5dd2d
Comment 1 Filip Zamboj 2009-01-07 15:53:06 UTC
65fixes2-candidate removed - sorry my mistake. 
Comment 2 Martin Entlicher 2009-01-09 08:36:31 UTC
The problem is, that the lookup result can change when new services are registered. We need to synchronize the iterator
and listen for changes in the lookup.
Comment 3 Martin Entlicher 2009-01-12 15:36:17 UTC
*** Issue 156503 has been marked as a duplicate of this issue. ***
Comment 4 Martin Entlicher 2009-01-22 10:45:45 UTC
There's already issue #154756 for this.

*** This issue has been marked as a duplicate of 154756 ***
Comment 5 Quality Engineering 2010-04-29 09:46:18 UTC
Verified ... and Closing all issues resolved into NetBeans 6.7 and earlier.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo